org.apache.ignite.spi.discovery.tcp

## Interface TcpDiscoverySpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  TcpDiscoverySpi

    public interface TcpDiscoverySpiMBean
    extends IgniteSpiManagementMBean

Management bean for `TcpDiscoverySpi`.

### Method Summary

Methods
`void` `dumpDebugInfo()` Dumps debug info using configured logger.
`long` `getAckTimeout()` Gets message acknowledgement timeout.
`long` `getAvgMessageProcessingTime()` Gets avg message processing time.
`UUID` `getCoordinator()` Gets current coordinator.
`long` `getCoordinatorSinceTimestamp()` Gets time local node has been coordinator since.
`long` `getHeartbeatFrequency()` Gets delay between heartbeat messages sent by coordinator.
`long` `getIpFinderCleanFrequency()` Gets IP finder clean frequency.
`String` `getIpFinderFormatted()` Gets `TcpDiscoveryIpFinder` (string representation).
`long` `getJoinTimeout()` Gets join timeout.
`int` `getLocalPort()` Gets local TCP port SPI listens to.
`int` `getLocalPortRange()` Gets local TCP port range.
`long` `getMaxAckTimeout()` Gets maximum message acknowledgement timeout.
`long` `getMaxMessageProcessingTime()` Gets max message processing time.
`int` `getMaxMissedClientHeartbeats()` Gets max heartbeats count node can miss without failing client node.
`int` `getMaxMissedHeartbeats()` Gets max heartbeats count node can miss without initiating status check.
`int` `getMessageWorkerQueueSize()` Gets message worker queue current size.
`long` `getNetworkTimeout()` Gets network timeout.
`long` `getNodesFailed()` Gets failed nodes count.
`long` `getNodesJoined()` Gets joined nodes count.
`long` `getNodesLeft()` Gets left nodes count.
`long` `getPendingMessagesDiscarded()` Gets pending messages discarded count.
`long` `getPendingMessagesRegistered()` Gets pending messages registered count.
`Map<String,Integer>` `getProcessedMessages()` Gets processed messages counts (grouped by type).
`Map<String,Integer>` `getReceivedMessages()` Gets received messages counts (grouped by type).
`int` `getReconnectCount()` Gets number of connection attempts.
`long` `getSocketTimeout()` Gets socket timeout.
`String` `getSpiState()` Gets current SPI state.
`long` `getStatisticsPrintFrequency()` Gets statistics print frequency.
`int` `getThreadPriority()` Gets thread priority.
`int` `getTotalProcessedMessages()` Gets total processed messages count.
`int` `getTotalReceivedMessages()` Gets total received messages count.
`boolean` `isClientMode()` Whether or not discovery is started in client mode.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getHeartbeatFrequency

    @MXBeanDescription(value="Heartbeat frequency.")
    long getHeartbeatFrequency()

Gets delay between heartbeat messages sent by coordinator.

Returns:
  Time period in milliseconds.

#### getSpiState

    @MXBeanDescription(value="SPI state.")
    String getSpiState()

Gets current SPI state.

Returns:
  Current SPI state.

#### getIpFinderFormatted

    @MXBeanDescription(value="IP Finder.")
    String getIpFinderFormatted()

Gets `TcpDiscoveryIpFinder` (string representation).

Returns:
  IPFinder (string representation).

#### getReconnectCount

    @MXBeanDescription(value="Reconnect count.")
    int getReconnectCount()

Gets number of connection attempts.

Returns:
  Number of connection attempts.

#### getNetworkTimeout

    @MXBeanDescription(value="Network timeout.")
    long getNetworkTimeout()

Gets network timeout.

Returns:
  Network timeout.

#### getLocalPort

    @MXBeanDescription(value="Local TCP port.")
    int getLocalPort()

Gets local TCP port SPI listens to.

Returns:
  Local port range.

#### getLocalPortRange

    @MXBeanDescription(value="Local TCP port range.")
    int getLocalPortRange()

Gets local TCP port range.

Returns:
  Local port range.

#### getMaxMissedHeartbeats

    @MXBeanDescription(value="Max missed heartbeats.")
    int getMaxMissedHeartbeats()

Gets max heartbeats count node can miss without initiating status check.

Returns:
  Max missed heartbeats.

#### getMaxMissedClientHeartbeats

    @MXBeanDescription(value="Max missed client heartbeats.")
    int getMaxMissedClientHeartbeats()

Gets max heartbeats count node can miss without failing client node.

Returns:
  Max missed client heartbeats.

#### getThreadPriority

    @MXBeanDescription(value="Threads priority.")
    int getThreadPriority()

Gets thread priority. All threads within SPI will be started with it.

Returns:
  Thread priority.

#### getIpFinderCleanFrequency

    @MXBeanDescription(value="IP finder clean frequency.")
    long getIpFinderCleanFrequency()

Gets IP finder clean frequency.

Returns:
  IP finder clean frequency.

#### getStatisticsPrintFrequency

    @MXBeanDescription(value="Statistics print frequency.")
    long getStatisticsPrintFrequency()

Gets statistics print frequency.

Returns:
  Statistics print frequency in milliseconds.

#### getMessageWorkerQueueSize

    @MXBeanDescription(value="Message worker queue current size.")
    int getMessageWorkerQueueSize()

Gets message worker queue current size.

Returns:
  Message worker queue current size.

#### getNodesJoined

    @MXBeanDescription(value="Nodes joined count.")
    long getNodesJoined()

Gets joined nodes count.

Returns:
  Nodes joined count.

#### getNodesLeft

    @MXBeanDescription(value="Nodes left count.")
    long getNodesLeft()

Gets left nodes count.

Returns:
  Left nodes count.

#### getNodesFailed

    @MXBeanDescription(value="Nodes failed count.")
    long getNodesFailed()

Gets failed nodes count.

Returns:
  Failed nodes count.

#### getPendingMessagesRegistered

    @MXBeanDescription(value="Pending messages registered.")
    long getPendingMessagesRegistered()

Gets pending messages registered count.

Returns:
  Pending messages registered count.

#### getPendingMessagesDiscarded

    @MXBeanDescription(value="Pending messages discarded.")
    long getPendingMessagesDiscarded()

Gets pending messages discarded count.

Returns:
  Pending messages registered count.

#### getAvgMessageProcessingTime

    @MXBeanDescription(value="Avg message processing time.")
    long getAvgMessageProcessingTime()

Gets avg message processing time.

Returns:
  Avg message processing time.

#### getMaxMessageProcessingTime

    @MXBeanDescription(value="Max message processing time.")
    long getMaxMessageProcessingTime()

Gets max message processing time.

Returns:
  Max message processing time.

#### getTotalReceivedMessages

    @MXBeanDescription(value="Total received messages count.")
    int getTotalReceivedMessages()

Gets total received messages count.

Returns:
  Total received messages count.

#### getReceivedMessages

    @MXBeanDescription(value="Received messages by type.")
    Map<String,Integer> getReceivedMessages()

Gets received messages counts (grouped by type).

Returns:
  Map containing message types and respective counts.

#### getTotalProcessedMessages

    @MXBeanDescription(value="Total processed messages count.")
    int getTotalProcessedMessages()

Gets total processed messages count.

Returns:
  Total processed messages count.

#### getProcessedMessages

    @MXBeanDescription(value="Received messages by type.")
    Map<String,Integer> getProcessedMessages()

Gets processed messages counts (grouped by type).

Returns:
  Map containing message types and respective counts.

#### getCoordinatorSinceTimestamp

    @MXBeanDescription(value="Local node is coordinator since.")
    long getCoordinatorSinceTimestamp()

Gets time local node has been coordinator since.

Returns:
  Time local node is coordinator since.

#### getCoordinator

    @MXBeanDescription(value="Coordinator node ID.")
    @Nullable
    UUID getCoordinator()

Gets current coordinator.

Returns:
  Gets current coordinator.

#### getAckTimeout

    @MXBeanDescription(value="Message acknowledgement timeout.")
    long getAckTimeout()

Gets message acknowledgement timeout.

Returns:
  Message acknowledgement timeout.

#### getMaxAckTimeout

    @MXBeanDescription(value="Maximum message acknowledgement timeout.")
    long getMaxAckTimeout()

Gets maximum message acknowledgement timeout.

Returns:
  Maximum message acknowledgement timeout.

#### getSocketTimeout

    @MXBeanDescription(value="Socket timeout.")
    long getSocketTimeout()

Gets socket timeout.

Returns:
  Socket timeout.

#### getJoinTimeout

    @MXBeanDescription(value="Join timeout.")
    long getJoinTimeout()

Gets join timeout.

Returns:
  Join timeout.

#### dumpDebugInfo

    @MXBeanDescription(value="Dump debug info.")
    void dumpDebugInfo()

Dumps debug info using configured logger.

#### isClientMode

    @MXBeanDescription(value="Client mode.")
    boolean isClientMode()
                         throws IllegalStateException

Whether or not discovery is started in client mode.

Returns:
  `true` if node is in client mode.
Throws:
  `IllegalStateException` - If discovery SPI is not started.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015